Subject: bug#25848: closed (Re: bug#25848: [PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point to the correct grep.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Jan 2022 09:12:02 +0000

Your bug report

#25848: [PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point to the correct grep.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25848: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25848
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25848: [PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point to the correct grep.
From: zimoun <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 05 Jan 2022 10:00:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Wed, 05 Jan 2022 at 10:23, Efraim Flashner <[email-masked]> wrote:
> On Wed, Jan 05, 2022 at 12:57:25AM +0100, zimoun wrote:
>> On Thu, 23 Feb 2017 at 13:41, [email-masked] wrote:

> Judging that the Hurd, aarch64 and powerpc are all have Guix working on
> them I assume it's working well enough that we can close this bug.

Therefore, I am closing.

Thanks,
simon

Subject: [PATCH] gnu: %bootstrap-coreutils&co: Patch egrep/fgrep to point to the correct grep.
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 23 Feb 2017 13:41:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello everyone, 

Commit 653add37af10b0d5dbc20c8bc7ce30eec8cf4ae7 patches egrep/fgrep to point to the location of grep. 
But the problem is that when it was run on Hurd, the path for grep in egrep/fgrep had this form: 
/gnu/store/eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee-grep-2.25/bin/grep

The above was not being substituted and caused the build to fail. So I changed the pattern to 
"/[^ ]+/bin/grep" and now the path is always replaced. 

Also (getcwd) returns the current path which the build takes place. This happens to be /tmp/guix-build-..-bootstrap-binaries-0.
This is wrong because it should point to the final place in /gnu/store. That why I am using "out".

Thank you,
Manolis